## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v1

connection-test-results

{connectionTestResultId}

Read Connection Test Result

cURL

```bash
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/connection-test-results/{connectionTestResultId} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connection-test-results/{connectionTestResultId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/connection-test-results/{connectionTestResultId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

200

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "connectionId": "<string>",
  "message": "<string>"
}
```

#### Authorizations

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Path Parameters

connectionTestResultId

string

required

#### Response

200 - application/json

OK

id

string

The unique object identifier.

version

integer<int64>

Data integrity version to ensure data consistency.

creationDate

string<date-time>

The date that the object was originally created.

lastModifiedDate

string<date-time>

The date that the object was last updated or modified.

createdUserInfo

User Info · object

read-only

Details about the user who created the object.

lastModifiedUserInfo

User Info · object

read-only

Details about the user who last modified or updated the object.

connectionId

string

The ID of the Connection that was tested.

message

string

A message describing the outcome of the connection test.
